It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

Zen Foundation after upgrading Confluence 4.3 to 5.1

Darryl Duke Aug 07, 2013

After upgrading Confluence from 4.3 to 5.1, Zen Foundation is throwing an error:

Caused by: java.lang.NoSuchMethodError: com.atlassian.confluence.plugin.descriptor.web.conditions.PeopleDirectoryEnabledCondition.setSettingsManager(Lcom/atlassian/confluence/setup/settings/SettingsManager;)
at com.zenfoundation.core.Zen.canViewPeopleDirectory(Zen.java:566)
at com.zenfoundation.theme.ZenTheme.canViewPeopleDirectory(ZenTheme.java:386)

1 answer

1 accepted

3 votes
Answer accepted
Darryl Duke Aug 07, 2013

First, try restarting Confluence.

If that doesn't help, check that all other plugins are properly upgraded for 5.1-compatility versions, or disable those that aren't and restart Confluence.

We have had several bug reports of plugins that are incompatible interfering with Confluence, which show up as errors in Zen Foundation.

If you still have issues, please contact support@stepstonetech.com and we'll get you sorted!

Suggest an answer

Log in or Sign up to answer
This widget could not be displayed.
This widget could not be displayed.
Community showcase
Published in Marketplace Apps & Integrations

Join our webinar: “Asset Management: The Role of Context in ITSM” with Atlassian & Riada

  Hi Atlassian Community! This is Teresa from the Jira Service Desk team. On June 19th, I’ll be hosting a webinar “Asset Management: The Role of Context in ITSM” with Atlassian Partne...

177 views 2 3
Read article

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you